from setuptools import setup, find_packages
import os

version = '2.5'

setup(name='Products.OAICore',
      version=version,
      description="OAI harvesting support for Zope 2.",
      long_description=open(os.path.join("Products", "OAICore", "README.txt")).read() + "\n" +
                       open(os.path.join("Products", "OAICore", "HISTORY.txt")).read(),
      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
              "Development Status :: 5 - Production/Stable",
              "Framework :: Zope2",
              "License :: OSI Approved :: BSD License",
              "Programming Language :: Python",
              "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='zope2 harvesting oai oaipmh',
      author='Infrae',
      author_email='info@infrae.com',
      url='http://infrae.com/products/oaipack',
      license='BSD',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'pyoai',
          'Zope2',
          'five.grok',
          ],
      )
